Package org.eclipse.m2m.atl.engine.compiler

## Class Atl2004Compiler

- java.lang.Object
- - org.eclipse.m2m.atl.engine.compiler.AtlDefaultCompiler
  - - org.eclipse.m2m.atl.engine.compiler.Atl2004Compiler

All Implemented Interfaces:
  `AtlStandaloneCompiler`

    public class Atl2004Compiler
    extends AtlDefaultCompiler

The 2004 version of the ATL compiler.

### Constructor Summary

Constructors
`Atl2004Compiler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.net.URL` `getCodegeneratorURL()` Returns the URL of the ATL compiler transformation; to be implemented by concrete subclass.
`protected java.net.URL` `getSemanticAnalyzerURL()` Returns the ATL WFR URL (whatever that may be); to be implemented by concrete subclass.

### Methods inherited from class org.eclipse.m2m.atl.engine.compiler.AtlDefaultCompiler

`compile, compile, compileWithProblemModel, compileWithProblemModel, compileWithProblemModel, compileWithProblemModel, compileWithProblemModel, compileWithProblemModel, getCompilationOutputStream, internalCompile, internalCompile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Atl2004Compiler

    public Atl2004Compiler()

### Method Detail

#### getSemanticAnalyzerURL

    protected java.net.URL getSemanticAnalyzerURL()

Returns the ATL WFR URL (whatever that may be); to be implemented by concrete subclass.

Specified by:
  `getSemanticAnalyzerURL` in class `AtlDefaultCompiler`
Returns:
  the URL
See Also:
  `AtlDefaultCompiler.getSemanticAnalyzerURL()`

#### getCodegeneratorURL

    protected java.net.URL getCodegeneratorURL()

Returns the URL of the ATL compiler transformation; to be implemented by concrete subclass.

Specified by:
  `getCodegeneratorURL` in class `AtlDefaultCompiler`
Returns:
  the URL of the compiler itself
See Also:
  `AtlDefaultCompiler.getCodegeneratorURL()`